package com.zyzf.coffeepreorder.database.repository

import com.zyzf.coffeepreorder.database.model.Cart

interface CartRepository {
    suspend fun get(): Cart
    suspend fun insert(cart: Cart)
    suspend fun insertCoffee(cartId: Int, coffeeId: Int, count: Int)
    suspend fun deleteCoffee(coffeeId: Int, count: Int)
    suspend fun update(cart: Cart)
    suspend fun deleteAll()
}